ACPISURFACE(4)

NAME
acpisurface - Microsoft Surface Book ACPI support

SYNOPSIS
acpisurface* at acpi?

DESCRIPTION
The acpisurface driver provides ACPI support for Microsoft Surface Book laptops. It responds to various button presses such as volume up/down and power buttons, all of which are located on the top of the tablet/detachable display. It does not provide support for the hotkeys in the keyboard/base unit.

Volume up/down button presses are routed to the master system mixer via the wscons(4) subsystem. Power button presses result in a soft power off request being queued by the acpi(4) subsystem.

SEE ALSO
acpi(4), audio(4), wscons(4)

HISTORY
The acpisurface driver first appeared in OpenBSD 6.4.